<?php

namespace App\Classes\Notifications;


use App\Models\User;
use Illuminate\Notifications\Messages\MailMessage;

class PermitsReminderEmail extends AbstractEmail
{

    /** @var User */
    private $user;

    private $reminders;

    /**
     * SendResetPasswordEmail constructor.
     * @param User $user
     * @param PasswordReset $attempt
     */
    public function __construct(User $user, $reminders)
    {
        $this->user = $user;
        $this->reminders = $reminders;
    }

    public function toMail()
    {
        return (new MailMessage)
            ->subject('Permits Renew Remidner Email')
            ->view('emails.reminder.permits_reminder', ['user' => $this->user, 'reminders' => $this->reminders]);
    }


}